Subject: Re: Bug, feature, or pilot error: format-patch

From: Gene Czarcinski <[email-masked]>
Date: Wed, 30 Jan 2013 09:41:28 -0500

Ping

It would be useful to get some comment on this

On 01/28/2013 12:03 PM, Gene Czarcinski wrote:
> I am not on the mailing list so please CC me.  I am running git 1.8.1 on
> Fedora 18.
>
> I aam having what appears to be a problem.  Here is the sequence which
> generally describes what I did and what happened:
>
>      git  checkout  -b  test1  master
>      git  am  0001-simple-1.patch
>      git  checkout  -b  test2  master
>      git  am  0001-simple-2.patch        ### this is known to conflict
> with 0001-simple-1.patch
>      git  checkout  test1
>      git  merge  test2
> [here git-merge detects a conflict]
>      git  mergetool                               ###to resolve the
> conflict
> [conflict resolved]
>      git  commit  -a -s
>      git  log
> [shows two commits -- one for simple-2 and one for the merge]
>      git  format-patch  master..HEAD
> [two patch files created: 0001-simple-1.patch and 0002-simple-2.patch]
> [0002-simple-2.patch and 0001-simple-2.patch are exactly equal and do
> not reflect the resolved conflict]
>
> If you do git-diff between <commit-patch-1> and HEAD, you get something
> different that you got from format-patch.
>
> 1. Bug ... format-patch is broken
>
> 2. Feature ... that is the way it works
>
> 3. Pilot error ... ??
>
> I can create a good version of patch-2 manually but should I have to?
>
> Color me foolish but I assumed I could do git-format-patch in one branch
> and then use git-am to recreate that branch elsewhere.
>
> Gene